package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"scale", "precision", "picturetext", "nullable", "name", "keytype", "fieldnumber", "description", "datatype", "businessname", "fieldattribute"}
)
@XmlRootElement(
   name = "TARGETFIELD"
)
public class TARGETFIELD {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "BUSINESSNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String businessname;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "DATATYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String datatype;
   @XmlAttribute(
      name = "KEYTYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String keytype;
   @XmlAttribute(
      name = "PRECISION",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String precision;
   @XmlAttribute(
      name = "SCALE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String scale;
   @XmlAttribute(
      name = "FIELDNUMBER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String fieldnumber;
   @XmlAttribute(
      name = "NULLABLE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String nullable;
   @XmlAttribute(
      name = "PICTURETEXT"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String picturetext;
   @XmlAttribute(
      name = "REFERENCEDTABLE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String referencedtable;
   @XmlAttribute(
      name = "REFERENCEDFIELD"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String referencedfield;
   @XmlAttribute(
      name = "GROUP"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String group;
   @XmlAttribute(
      name = "ISFILENAMEFIELD"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isfilenamefield;
   @XmlElement(
      name = "FIELDATTRIBUTE"
   )
   protected List<FIELDATTRIBUTE> fieldattribute;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getBUSINESSNAME() {
      return this.businessname;
   }

   public void setBUSINESSNAME(String value) {
      this.businessname = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getDATATYPE() {
      return this.datatype;
   }

   public void setDATATYPE(String value) {
      this.datatype = value;
   }

   public String getKEYTYPE() {
      return this.keytype;
   }

   public void setKEYTYPE(String value) {
      this.keytype = value;
   }

   public String getPRECISION() {
      return this.precision;
   }

   public void setPRECISION(String value) {
      this.precision = value;
   }

   public String getSCALE() {
      return this.scale;
   }

   public void setSCALE(String value) {
      this.scale = value;
   }

   public String getFIELDNUMBER() {
      return this.fieldnumber;
   }

   public void setFIELDNUMBER(String value) {
      this.fieldnumber = value;
   }

   public String getNULLABLE() {
      return this.nullable;
   }

   public void setNULLABLE(String value) {
      this.nullable = value;
   }

   public String getPICTURETEXT() {
      return this.picturetext;
   }

   public void setPICTURETEXT(String value) {
      this.picturetext = value;
   }

   public String getREFERENCEDTABLE() {
      return this.referencedtable;
   }

   public void setREFERENCEDTABLE(String value) {
      this.referencedtable = value;
   }

   public String getREFERENCEDFIELD() {
      return this.referencedfield;
   }

   public void setREFERENCEDFIELD(String value) {
      this.referencedfield = value;
   }

   public String getGROUP() {
      return this.group;
   }

   public void setGROUP(String value) {
      this.group = value;
   }

   public String getISFILENAMEFIELD() {
      return this.isfilenamefield;
   }

   public void setISFILENAMEFIELD(String value) {
      this.isfilenamefield = value;
   }

   public List<FIELDATTRIBUTE> getFIELDATTRIBUTE() {
      if (this.fieldattribute == null) {
         this.fieldattribute = new ArrayList();
      }

      return this.fieldattribute;
   }
}
